/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.device.db.impl;

import net.northking.cctp.device.db.dao.CdDeviceProjectDao;
import net.northking.cctp.device.db.service.CdDeviceProjectService;
import net.northking.cctp.device.db.entity.CdDeviceProject;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.common.db.PaginationService;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 设备-系统关联表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-09-20 16:47:00  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "CdDeviceProjectServiceImpl")
public class CdDeviceProjectServiceImpl extends PaginationService<CdDeviceProject> implements CdDeviceProjectService
{
private static final Logger logger = LoggerFactory.getLogger(CdDeviceProjectServiceImpl.class);

  private final CdDeviceProjectDao cdDeviceProjectDao;

  public CdDeviceProjectServiceImpl(CdDeviceProjectDao cdDeviceProjectDao) {this.cdDeviceProjectDao = cdDeviceProjectDao;}

  public BasicDao<CdDeviceProject> getDao() {return cdDeviceProjectDao;}

  public CdDeviceProject createEntity() { return new CdDeviceProject();}

  @Override
  public Integer recycleDevice() {
    Integer recycleNum = this.cdDeviceProjectDao.recycleDevice();
    return recycleNum;
  }

  @Override
  public List<String> findProByType(String proId) {
    List<String> list = this.cdDeviceProjectDao.findProByType(proId);
    return list;
  }

  @Override
  protected void beforeInsert(CdDeviceProject record) {

  }

  @Override
  protected void beforeUpdate(CdDeviceProject record) {

  }







}

